Bug 1875006 - [sig-api-machinery] API data in etcd should be stored at the correct location and version for all resources [Serial]
Summary: [sig-api-machinery] API data in etcd should be stored at the correct location...
Keywords:
Status: POST
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: David Eads
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-02 17:56 UTC by David Eads
Modified: 2020-09-12 07:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 25446 None open bug 1875006: update to get line numbers from etcd test 2020-09-16 06:11:51 UTC
Github openshift origin pull 25462 None closed bug 1875006: add logging for etcd test when we create new port forwards 2020-09-16 06:11:51 UTC

Description David Eads 2020-09-02 17:56:27 UTC
This bug was initially created as a copy of Bug #1870247

I am copying this bug because: I want to merge more debugging for openstack



test:
[sig-api-machinery] API data in etcd should be stored at the correct location and version for all resources [Serial] 

is failing frequently in CI, see search results:
https://search.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&search=%5C%5Bsig-api-machinery%5C%5D+API+data+in+etcd+should+be+stored+at+the+correct+location+and+version+for+all+resources+%5C%5BSerial%5C%5D


Number one flake on openstack, occassional failer on azure https://testgrid.k8s.io/redhat-openshift-ocp-release-4.6-informing#release-openshift-ocp-installer-e2e-openstack-serial-4.6


Note You need to log in before you can comment on or make changes to this bug.